%define api 2
%define major 6
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name

Summary:	A DBUS packaging abstraction layer
Name:	  	packagekit-qt
Version:	0.8.8
Release:	2
License:	GPLv2+
Group:		System/Configuration/Packaging
Source0: 	http://www.packagekit.org/releases/PackageKit-Qt-%version.tar.xz
Source1:	%{name}.rpmlintrc
URL:		http://www.packagekit.org
BuildRequires: packagekit >= %{version}
BuildRequires: qt4-devel
BuildRequires: cmake
Requires:	packagekit >= %{version}

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

%package -n %{libname}
Summary: Libraries for accessing PackageKit-Qt
Group: System/Configuration/Packaging
Requires: packagekit >= %{version}

%description -n %{libname}
Libraries for accessing PackageKit-Qt.

%package -n %{develname}
Summary: Libraries and headers for PackageKit
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Conflicts: packagekit-devel < 0.8.6

%description -n %{develname}
Headers and libraries for PackageKit.

%prep
%setup -q -n PackageKit-Qt-%version
%apply_patches

%build
%cmake_qt4
%make

%install
%makeinstall_std -C build

%files -n %{libname}
%{_libdir}/lib%{name}%{api}.so.%{major}
%{_libdir}/lib%{name}%{api}.so.%{version}

%files -n %{develname}
%{_includedir}/PackageKit/%{name}%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/%{name}%{api}

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.8.8-2
+ Revision: 0f3aa07
- MassBuild#440: Increase release tag


